Lay out a page with a template
POST
/cms/print/v2/subpages/{id}/template
const url = 'https://api.example.com/cms/print/v2/subpages/1/template';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"templateId":1,"baseRevision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/subpages/1/template \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "templateId": 1, "baseRevision": 1 }'Stores the template’s file as the page’s next layout revision (the page must be checked out by this client and still be at baseRevision). The extension reopens the page and fills it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
templateId
required
integer
baseRevision
required
integer
Example generated
{ "templateId": 1, "baseRevision": 1}Responses
Section titled “Responses”The new layout revision
Not checked out, or saved since